summaryrefslogtreecommitdiffstats
path: root/libraries/libdbi
diff options
context:
space:
mode:
author Michal Bialozor <bialyy@o2.pl>2010-05-12 23:30:26 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:30:26 +0200
commit3921ec6c74d4762331aabed023d4efc2705fb869 (patch)
tree76e3667588b8ea2e95d7356865dc5c251fea680e /libraries/libdbi
parent6288e461e6ae4f2482984d84b0168c364697db47 (diff)
downloadslackbuilds-3921ec6c74d4762331aabed023d4efc2705fb869.tar.gz
slackbuilds-3921ec6c74d4762331aabed023d4efc2705fb869.tar.xz
libraries/libdbi: Added to 12.2 repository
Diffstat (limited to 'libraries/libdbi')
-rw-r--r--libraries/libdbi/README10
-rw-r--r--libraries/libdbi/libdbi.SlackBuild58
-rw-r--r--libraries/libdbi/libdbi.info8
-rw-r--r--libraries/libdbi/slack-desc19
4 files changed, 95 insertions, 0 deletions
diff --git a/libraries/libdbi/README b/libraries/libdbi/README
new file mode 100644
index 0000000000..cd5232c207
--- /dev/null
+++ b/libraries/libdbi/README
@@ -0,0 +1,10 @@
+libdbi - Database Independent Abstraction Layer for C
+
+libdbi implements a database-independent abstraction layer in C,
+similar to the DBI/DBD layer in Perl. Writing one generic set
+of code, programmers can leverage the power of multiple databases
+and multiple simultaneous database connections by using this framework.
+
+In order to utilize the libdbi framework, you need to install drivers
+for a particular type of database. The drivers officially supported
+by libdbi are split off into the libdbi-drivers project.
diff --git a/libraries/libdbi/libdbi.SlackBuild b/libraries/libdbi/libdbi.SlackBuild
new file mode 100644
index 0000000000..39554a5818
--- /dev/null
+++ b/libraries/libdbi/libdbi.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for libdbi
+# Written by Michal Bialozor <bialyy@o2.pl>
+
+PRGNAM=libdbi
+VERSION=0.8.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --enable-shared=yes \
+ --build=$ARCH-slackware-linux \
+ || exit 1
+
+make docdir=/usr/doc/$PRGNAM-$VERSION || exit 1
+make docdir=/usr/doc/$PRGNAM-$VERSION install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL README* NEWS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libdbi/libdbi.info b/libraries/libdbi/libdbi.info
new file mode 100644
index 0000000000..b6bd9d3dbb
--- /dev/null
+++ b/libraries/libdbi/libdbi.info
@@ -0,0 +1,8 @@
+PRGNAM="libdbi"
+VERSION="0.8.3"
+HOMEPAGE="http://libdbi.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/libdbi/libdbi-0.8.3.tar.gz"
+MD5SUM="ca66db78d479cbfa727cf3245b5864ae"
+MAINTAINER="Michal Bialozor"
+EMAIL="bialyy@o2.pl"
+APPROVED="rworkman"
diff --git a/libraries/libdbi/slack-desc b/libraries/libdbi/slack-desc
new file mode 100644
index 0000000000..ac16572263
--- /dev/null
+++ b/libraries/libdbi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+libdbi: libdbi (Database Independent Abstraction Layer for C)
+libdbi:
+libdbi: libdbi implements a database-independent abstraction layer in C,
+libdbi: similar to the DBI/DBD layer in Perl. Writing one generic set
+libdbi: set of code, programmers can leverage the power of multiple
+libdbi: databases and multiple simultaneous database connections by using
+libdbi: this framework.
+libdbi:
+libdbi: It can be obtained from http://libdbi.sourceforge.net
+libdbi:
+libdbi: